> ## Documentation Index
> Fetch the complete documentation index at: https://portkey-docs-chore-model-provisioning-beta-feature-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analytics graphs errors status codes



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml get /analytics/graphs/errors/status-codes
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /analytics/graphs/errors/status-codes:
    servers:
      - url: https://api.apps.paloaltonetworks.com/ai_gw/v2
        description: Managed
    get:
      tags:
        - Analytics > Graphs
      parameters:
        - $ref: '#/components/parameters/TimeOfGenerationMin'
        - $ref: '#/components/parameters/TimeOfGenerationMax'
        - $ref: '#/components/parameters/TotalUnitsMin'
        - $ref: '#/components/parameters/TotalUnitsMax'
        - $ref: '#/components/parameters/CostMin'
        - $ref: '#/components/parameters/CostMax'
        - $ref: '#/components/parameters/PromptTokenMin'
        - $ref: '#/components/parameters/PromptTokenMax'
        - $ref: '#/components/parameters/CompletionTokenMin'
        - $ref: '#/components/parameters/CompletionTokenMax'
        - $ref: '#/components/parameters/StatusCode'
        - $ref: '#/components/parameters/WeightedFeedbackMin'
        - $ref: '#/components/parameters/WeightedFeedbackMax'
        - $ref: '#/components/parameters/VirtualKeys'
        - $ref: '#/components/parameters/Configs'
        - $ref: '#/components/parameters/WorkspaceSlug'
        - $ref: '#/components/parameters/ApiKeyIds'
        - $ref: '#/components/parameters/Metadata'
        - $ref: '#/components/parameters/AiOrgModel'
        - $ref: '#/components/parameters/TraceId'
        - $ref: '#/components/parameters/SpanId'
        - $ref: '#/components/parameters/PromptSlug'
      responses:
        '200':
          description: ''
          headers:
            Content-Type:
              schema:
                type: string
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      total_errors:
                        type: integer
                      unique_error_codes:
                        type: integer
                    required:
                      - total_errors
                      - unique_error_codes
                  data_points:
                    type: array
                    items:
                      type: object
                      properties:
                        status_code:
                          type: integer
                        count:
                          type: integer
                      required:
                        - status_code
                        - count
                  object:
                    type: string
                    enum:
                      - analytics-graph
                required:
                  - summary
                  - data_points
                  - object
components:
  parameters:
    TimeOfGenerationMin:
      in: query
      name: time_of_generation_min
      required: true
      schema:
        type: string
        format: date-time
    TimeOfGenerationMax:
      in: query
      name: time_of_generation_max
      required: true
      schema:
        type: string
        format: date-time
    TotalUnitsMin:
      in: query
      name: total_units_min
      schema:
        type: integer
        minimum: 0
    TotalUnitsMax:
      in: query
      name: total_units_max
      schema:
        type: integer
        minimum: 0
    CostMin:
      in: query
      name: cost_min
      schema:
        type: number
        minimum: 0
    CostMax:
      in: query
      name: cost_max
      schema:
        type: number
        minimum: 0
    PromptTokenMin:
      in: query
      name: prompt_token_min
      schema:
        type: integer
        minimum: 0
    PromptTokenMax:
      in: query
      name: prompt_token_max
      schema:
        type: integer
        minimum: 0
    CompletionTokenMin:
      in: query
      name: completion_token_min
      schema:
        type: integer
        minimum: 0
    CompletionTokenMax:
      in: query
      name: completion_token_max
      schema:
        type: integer
        minimum: 0
    StatusCode:
      in: query
      name: status_code
      schema:
        type: string
    WeightedFeedbackMin:
      in: query
      name: weighted_feedback_min
      schema:
        type: number
        minimum: -10
        maximum: 10
    WeightedFeedbackMax:
      in: query
      name: weighted_feedback_max
      schema:
        type: number
        minimum: -10
        maximum: 10
    VirtualKeys:
      in: query
      name: virtual_keys
      schema:
        type: string
    Configs:
      in: query
      name: configs
      schema:
        type: string
    WorkspaceSlug:
      in: query
      name: workspace_slug
      required: true
      schema:
        type: string
    ApiKeyIds:
      in: query
      name: api_key_ids
      schema:
        type: string
    Metadata:
      in: query
      name: metadata
      schema:
        type: string
    AiOrgModel:
      in: query
      name: ai_org_model
      schema:
        type: string
    TraceId:
      in: query
      name: trace_id
      schema:
        type: string
    SpanId:
      in: query
      name: span_id
      schema:
        type: string
    PromptSlug:
      in: query
      name: prompt_slug
      schema:
        type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````